using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Syncfusion.SfChart.XForms.Droid;
using Xamarin.Forms;
using BarChart;
using Syncfusion.SfChart.XForms;
using Xamarin.Forms.Platform.Android;

[assembly: ExportRenderer(typeof(ChartExt), typeof(BarChart.Droid.CustomRenderer))]
namespace BarChart.Droid
{
    public class CustomRenderer : SfChartRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<SfChart> e)
        {
            base.OnElementChanged(e);
            if (Control != null)
            {
                for (int i = 0; i < Control.Series.Size(); i++)
                {
                    (Control.Series.Get(i) as Com.Syncfusion.Charts.ChartSeries).DataMarkerLabelCreated += CustomRenderer_DataMarkerLabelCreated;
                }
            }
        }

        private void CustomRenderer_DataMarkerLabelCreated(object sender, Com.Syncfusion.Charts.ChartSeries.DataMarkerLabelCreatedEventArgs e)
        {
            if (!e.P0.Label.Contains("%"))
            {
                e.P0.Label = e.P0.Label + "%";              
            }      
        }
    }
}